package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.*;
import com.junmp.jyzb.api.bean.query.ShelfReq;
import com.junmp.jyzb.api.bean.query.WarehouseAreaReq;
import com.junmp.jyzb.api.bean.req.UpdateWarehouseAreaReq;
import com.junmp.jyzb.entity.WarehouseArea;

import java.util.List;

public interface WarehouseAreaService extends IService<WarehouseArea> {

    //增加区域
    String addArea(UpdateWarehouseAreaReq msg);

    //更改区域信息
    boolean updateArea(UpdateWarehouseAreaReq msg);

    //删除区域
    boolean deleteArea(UpdateWarehouseAreaReq msg);

    //查询区域信息
    List<WarehouseAreaDto> getAreaList(WarehouseAreaReq msg);

    //判断区域是都存在（通用方法）
    WarehouseArea WarehouseAreaExist(String id);




}
